<template>
    <div id="livestream-hub">
      <div class="title">
        <h1>Livestream Hub</h1>
      </div>
      <div class="ui container">
        <div class="ui segment" v-if="anyStreams">
          <div class="ui segment" v-for="stream in streams" :key=stream>
            <div class="ui columns">
              <div class="ui column">
                <span class="ui label">{{ stream.name }}</span>
              </div>
              <div class="ui column right">
                <a class="ui label blue" :href="stream.url">Join</a>
              </div>
            </div>
          </div>
        </div>
        <div class="ui segment" v-else>
          No streams available at the moment.
        </div>
      </div>
    </div>
</template>

<script>
import api from '@/api'
export default {
  name: 'ap-livestream-hub',
  data () {
    return { streams: [], anyStreams: false }
  },
  mounted () {
    api.getAlt(`${process.env.VUE_APP_STREAM_API_URL}/api/active-streams`, (data) => {
      let ix
      this.streams = []
      for (ix = 0; ix < data.streams.length; ix++) {
        const stream = data.streams[ix]
        this.streams.push({
          name: stream.toUpperCase(),
          url: '/javelin/live/' + stream,
          elapsed: '00:00:00'
        })
      }
      this.anyStreams = this.streams.length !== 0
    })
  }
}
</script>

<style scoped>
.title {
  color: #ffffff;
  display: block;
  text-align: center;
  margin-top: 1.5rem }
.ui.column.right {
  text-align: right;
}
</style>
